<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: FilterNthOrder Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_filter_nth_order-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">FilterNthOrder Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for FilterNthOrder:</div>
<div class="dyncontent">
<div class="center"><img src="class_filter_nth_order__inherit__graph.png" border="0" usemap="#_filter_nth_order_inherit__map" alt="Inheritance graph"/></div>
<map name="_filter_nth_order_inherit__map" id="_filter_nth_order_inherit__map">
<area shape="rect" id="node2" href="classhandle.html" title="handle" alt="" coords="27,5,87,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5f5d7fab6b6236c5e657abc7a7d22cc4"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_filter_nth_order.html#a5f5d7fab6b6236c5e657abc7a7d22cc4">FilterNthOrder</a> (in <a class="el" href="class_filter_nth_order.html#a9ddb604722242ab3794a2c03878a7a62">order</a>, in <a class="el" href="class_filter_nth_order.html#a976abb9701bb6d5396da81fe5e179d6f">a</a>, in <a class="el" href="class_filter_nth_order.html#a220828b6de658f0620819ef56f6f2d06">b</a>, in <a class="el" href="class_filter_nth_order.html#a277ff8710aaaa8ab152393f99ad311d1">h</a>)</td></tr>
<tr class="separator:a5f5d7fab6b6236c5e657abc7a7d22cc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abde0a5d9e476b8fd77ef7bb14ed96f79"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_filter_nth_order.html#abde0a5d9e476b8fd77ef7bb14ed96f79">process</a> (in obj, in u, in t)</td></tr>
<tr class="separator:abde0a5d9e476b8fd77ef7bb14ed96f79"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a277ff8710aaaa8ab152393f99ad311d1"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_filter_nth_order.html#a277ff8710aaaa8ab152393f99ad311d1">h</a></td></tr>
<tr class="separator:a277ff8710aaaa8ab152393f99ad311d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a8a8fb383e538f13c18b1d67d5a1866"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_filter_nth_order.html#a6a8a8fb383e538f13c18b1d67d5a1866">alfa</a></td></tr>
<tr class="separator:a6a8a8fb383e538f13c18b1d67d5a1866"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3932bb55c8795c0fb22865d905dc8b37"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_filter_nth_order.html#a3932bb55c8795c0fb22865d905dc8b37">beta</a></td></tr>
<tr class="separator:a3932bb55c8795c0fb22865d905dc8b37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2de61d09c770a0adba4e36497effec4f"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_filter_nth_order.html#a2de61d09c770a0adba4e36497effec4f">beta_hat</a></td></tr>
<tr class="separator:a2de61d09c770a0adba4e36497effec4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28bce142b528e5cfa3fc66ff218d8d44"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_filter_nth_order.html#a28bce142b528e5cfa3fc66ff218d8d44">X</a></td></tr>
<tr class="separator:a28bce142b528e5cfa3fc66ff218d8d44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab69bbbb85237396d7963a709705c4f5"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_filter_nth_order.html#aab69bbbb85237396d7963a709705c4f5">X_old</a></td></tr>
<tr class="separator:aab69bbbb85237396d7963a709705c4f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a976abb9701bb6d5396da81fe5e179d6f"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_filter_nth_order.html#a976abb9701bb6d5396da81fe5e179d6f">a</a></td></tr>
<tr class="separator:a976abb9701bb6d5396da81fe5e179d6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a220828b6de658f0620819ef56f6f2d06"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_filter_nth_order.html#a220828b6de658f0620819ef56f6f2d06">b</a></td></tr>
<tr class="separator:a220828b6de658f0620819ef56f6f2d06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ddb604722242ab3794a2c03878a7a62"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_filter_nth_order.html#a9ddb604722242ab3794a2c03878a7a62">order</a></td></tr>
<tr class="separator:a9ddb604722242ab3794a2c03878a7a62"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5f5d7fab6b6236c5e657abc7a7d22cc4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f5d7fab6b6236c5e657abc7a7d22cc4">&#9670;&nbsp;</a></span>FilterNthOrder()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function <a class="el" href="class_filter_nth_order.html">FilterNthOrder</a> </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>order</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>b</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>h</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="abde0a5d9e476b8fd77ef7bb14ed96f79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abde0a5d9e476b8fd77ef7bb14ed96f79">&#9670;&nbsp;</a></span>process()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function process </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a976abb9701bb6d5396da81fe5e179d6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a976abb9701bb6d5396da81fe5e179d6f">&#9670;&nbsp;</a></span>a</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property a</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6a8a8fb383e538f13c18b1d67d5a1866"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a8a8fb383e538f13c18b1d67d5a1866">&#9670;&nbsp;</a></span>alfa</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property alfa</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a220828b6de658f0620819ef56f6f2d06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a220828b6de658f0620819ef56f6f2d06">&#9670;&nbsp;</a></span>b</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property b</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3932bb55c8795c0fb22865d905dc8b37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3932bb55c8795c0fb22865d905dc8b37">&#9670;&nbsp;</a></span>beta</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property beta</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2de61d09c770a0adba4e36497effec4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2de61d09c770a0adba4e36497effec4f">&#9670;&nbsp;</a></span>beta_hat</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property beta_hat</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a277ff8710aaaa8ab152393f99ad311d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a277ff8710aaaa8ab152393f99ad311d1">&#9670;&nbsp;</a></span>h</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property h</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9ddb604722242ab3794a2c03878a7a62"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ddb604722242ab3794a2c03878a7a62">&#9670;&nbsp;</a></span>order</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property order</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a28bce142b528e5cfa3fc66ff218d8d44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28bce142b528e5cfa3fc66ff218d8d44">&#9670;&nbsp;</a></span>X</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property X</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aab69bbbb85237396d7963a709705c4f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab69bbbb85237396d7963a709705c4f5">&#9670;&nbsp;</a></span>X_old</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property X_old</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>Controllers/<a class="el" href="_filter_nth_order_8m.html">FilterNthOrder.m</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
